# $Revision: 1.13 $, $Date: 2002/08/29 12:12:25 $
Summary:	Verifies file integrity
Summary(pl):	Program sprawdza poprawno plikow
Name:		tripwire
Version:	1.2
Release:	2
License:	BSD
Group:		Applications/System
Source0:	ftp://ftp.cert.org/pub/tools/tripwire/%{name}-%{version}.tar.Z
Source1:	%{name}.verify
Patch0:		%{name}-rhlinux.patch
Patch1:		%{name}-latin1.patch
Patch2:		%{name}-rewind.patch
Patch3:		%{name}-shared.patch
%{?!_without_static:BuildRequires:	glibc-static}
BuildRequires:	byacc
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_cron		%{_sysconfdir}/cron.daily

%description
Tripwire is a file integrity checker - a utility that compares a
designated set of files and directories against information stored in
a previously generated database. Added or deleted files are flagged
and reported, as are any files that have changed from their previously
recorded state in the database. When run against system files on a
regular basis, any file changes would be spotted when Tripwire is next
run, giving system administrators information to enact damage control
measures immediately.

%description -l pl
Tripwire to narzdzie do sprawdzania poprawnoci plikw i katalogw na
podstawie wygenerowanej bazy danych.


%prep
%setup -q -c
tar -C .. -xf T1.2.tar
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{?!_without_static:%{__make} OPT_FLAGS="%{rpmcflags}" static}
%{?_without_static:%{__make} OPT_FLAGS="%{rpmcflags}" shared}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/{man1,man5,man8}}
install -d $RPM_BUILD_ROOT{%{_var}/spool/%{name},%{_cron}}

%{__make} %{?!_without_static:install_static}%{?_without_static:install_shared} \
	MANDIR="$RPM_BUILD_ROOT%{_mandir}" \
	TOPDIR="$RPM_BUILD_ROOT"

install lib/tw.config $RPM_BUILD_ROOT/%{_sysconfdir}
install $RPM_SOURCE_DIR/%{name}.verify $RPM_BUILD_ROOT/%{_cron}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(700,root,root) %{_sbindir}/*
%attr(600,root,root) %{_sysconfdir}/tw.config
%attr(700,root,root) %{_var}/spool/%{name}
%attr(700,root,root) %{_cron}/%{name}.verify
%doc FAQ Changelog INTERNALS README README.FIRST Readme TODO WHATSNEW docs/[a-s]*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tripwire.spec,v $
Revision 1.13  2002/08/29 12:12:25  areq
- new %doc
- Release 1, STBR

Revision 1.12  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/05/22 09:06:52  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.8  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2001/01/21 12:43:10  zagrodzki
- BuildRequires: byacc

Revision 1.6  2001/01/21 12:31:21  zagrodzki
- BuildRequires: flex

Revision 1.5  2000/12/28 15:44:32  baggins
- allow conditional non-static build (define _without_static for it)

Revision 1.4  2000/12/21 15:12:51  baggins
- typos

Revision 1.3  2000/12/06 02:38:52  agaran
Just passed trough adapter

Revision 1.2  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/05/14 11:05:43  wiejak

- initial release


